summaryrefslogtreecommitdiffstats
path: root/icedtea-web
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-01-01 19:49:57 +0000
committer Eric Hameleers <alien@slackware.com>2012-01-01 19:49:57 +0000
commitd1f006099c4ec8e23a59e50e2c5b1a262ab1a8b0 (patch)
treea06cf2777298fc4897b58e027c10fd70a7b1e320 /icedtea-web
parentcf13160f4616398f6293d705177105b1c86a1a61 (diff)
downloadasb-d1f006099c4ec8e23a59e50e2c5b1a262ab1a8b0.tar.gz
asb-d1f006099c4ec8e23a59e50e2c5b1a262ab1a8b0.tar.xz
Forgot to re-enable the NPAPI patch, now that the compilation against seamonkey finally works
Diffstat (limited to 'icedtea-web')
-rwxr-xr-xicedtea-web/build/icedtea-web.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/icedtea-web/build/icedtea-web.SlackBuild b/icedtea-web/build/icedtea-web.SlackBuild
index a2efa040..73cb60fd 100755
--- a/icedtea-web/build/icedtea-web.SlackBuild
+++ b/icedtea-web/build/icedtea-web.SlackBuild
@@ -73,6 +73,9 @@ cd $PKGNAM-$VERSION || exit 1
# We use seamonkey, not xulrunner:
sed -i -e 's/mozilla-plugin/seamonkey-plugin/g' configure
+# So that the plugin compiles with xulrunner 8 and above:
+cat $CWD/icedtea-web.npapi.patch | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -91,7 +94,7 @@ LDFLAGS="$SLKLDFLAGS" \
--infodir=/usr/info \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--with-jdk-home=/usr/lib${LIBDIRSUFFIX}/java \
- --with-jre-home=/usr/lib${LIBDIRSUFFIX}/java/jre/ \
+ --with-jre-home=/usr/lib${LIBDIRSUFFIX}/java/jre \
--with-pkgversion=$(cat /etc/slackware-version |tr ' ' '-')-$ARCH \
--disable-docs \
--build=$TARGET
@@ -120,8 +123,8 @@ cp -a \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
-cat $CWD/slack-desc.$PKGNAM > $PKG/install/slack-desc
-zcat $CWD/doinst.sh.$PKGNAM.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz